Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt

Use this file to discover all available pages before exploring further.

Get Contract Details

Applicable to query contract details

Request URL

GET https://cloud-api.wooxpro.com/contract/public/details

Request Limit

See Detailed Rate Limit

Request Parameter

Request
curl https://cloud-api.wooxpro.com/contract/public/details?symbol=BTCUSDT
FieldTypeRequired?Description
symbolStringNoSymbol of the contract(like BTCUSDT)

Response Data

Response
{
  "code": 1000,
  "message": "Ok",
  "trace": "9b92a999-9463-4c96-91a4-93ad1cad0d72",
  "data": {
    "symbols": [
      {
        "symbol": "BTCUSDT",
        "product_type": 1,
        "open_timestamp": 1594080000123,
        "expire_timestamp": 0,
        "settle_timestamp": 0,
        "base_currency": "BTC",
        "quote_currency": "USDT",
        "last_price": "23920",
        "volume_24h": "18969368",
        "turnover_24h": "458933659.7858",
        "index_price": "23945.25191635",
        "index_name": "BTCUSDT",
        "contract_size": "0.001",
        "min_leverage": "1",
        "max_leverage": "100",
        "price_precision": "0.1",
        "vol_precision": "1",
        "max_volume": "500000",
        "market_max_volume": "500000",
        "min_volume": "1",
        "funding_rate": "0.0001",
        "expected_funding_rate": "0.00011",
        "open_interest": "4134180870",
        "open_interest_value": "94100888927.0433258",
        "high_24h": "23900",
        "low_24h": "23100",
        "change_24h": "0.004",
        "funding_interval_hours": 8,
        "status": "Delisted",
        "delist_time": 1745830379
      },
      ...
    ]
  }
}
FieldTypeDescription
symbolsListArray of trading pair details
Description of the trading pair details field:
Trading pair detailsTypeDescription
symbolsListArray of trading pair details
symbolStringSymbol of the contract
product_typeIntContract type
-1=perpetual
-2=futures
base_currencyStringBase currency
quote_currencyStringQuote currency
volume_precisionStringVolume Precision
price_precisionStringPrice Precision
max_volumeStringMaximum limit order quantity
market_max_volumeStringMaximum market order quantity
min_volumeStringMinimum order quantity
contract_sizeStringContract Size
index_priceStringIndex Price
index_nameStringIndex Name
min_leverageStringMinimum leverage ratio
max_leverageStringMaximum leverage ratio
turnover_24hString24 hours turnover
volume_24hString24 hours volume
last_priceStringLast Price
open_timestampLongOpening time for the first time
expire_timestampLongExpiration time,If null is returned, it does not expire
settle_timestampLongSettlement time,If null is returned, it will not be automatically settlement
funding_rateStringcurrent funding rate
expected_funding_rateStringexpect funding rate
open_interestStringOpen interest
open_interest_valueStringValue of open interest
high_24hString24h High
low_24hString24h Low
change_24hString24h Change
funding_interval_hoursIntFunding interval
statusStringStatus
-Trading
-Delisted
delist_timeIntDelisting time(status=Trading, Expected delisting time)